perl-modperl mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Randy Kobes <ra...@theoryx5.uwinnipeg.ca>
Subject Re: debian testing vs mod_perl trunk: Makefile.PL, IO and XSLoader
Date Tue, 02 Aug 2005 23:18:41 GMT
On Tue, 2 Aug 2005, Dorian Taylor wrote:

> the most bizarre thing popped up when i was trying to build a
> mod_perl deb (and from regular source) on debian testing/i386:
>
> String found where operator expected at /usr/lib/perl/5.8/IO.pm line 11, near "XSLoader::load
'IO'"
>        (Do you need to predeclare XSLoader::load?)
> syntax error at /usr/lib/perl/5.8/IO.pm line 11, near "XSLoader::load 'IO'"

Assuming you're aware of the renaming issue:
    http://perl.apache.org/docs/2.0/rename.html
I've seen a similar error when installing a current
CPAN/svn mod_perl-2 over top of an existing mod_perl-2 
that followed the old API. Did you remove any old
mod_perl-2 installation before installing the new one?
In particular, is there an old Apache2.pm around that
may be getting picked up?

-- 
best regards,
randy kobes

Mime
View raw message